Update a webhook
curl --request PUT \
--url https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production alerts",
"url": "https://example.com/webhooks",
"apiKey": "s3cr3t",
"events": [
"stream.concluded"
],
"enabled": true
}
'import requests
url = "https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}"
payload = {
"name": "Production alerts",
"url": "https://example.com/webhooks",
"apiKey": "s3cr3t",
"events": ["stream.concluded"],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Production alerts',
url: 'https://example.com/webhooks',
apiKey: 's3cr3t',
events: ['stream.concluded'],
enabled: true
})
};
fetch('https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Production alerts',
'url' => 'https://example.com/webhooks',
'apiKey' => 's3cr3t',
'events' => [
'stream.concluded'
],
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}"
payload := strings.NewReader("{\n \"name\": \"Production alerts\",\n \"url\": \"https://example.com/webhooks\",\n \"apiKey\": \"s3cr3t\",\n \"events\": [\n \"stream.concluded\"\n ],\n \"enabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Production alerts\",\n \"url\": \"https://example.com/webhooks\",\n \"apiKey\": \"s3cr3t\",\n \"events\": [\n \"stream.concluded\"\n ],\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Production alerts\",\n \"url\": \"https://example.com/webhooks\",\n \"apiKey\": \"s3cr3t\",\n \"events\": [\n \"stream.concluded\"\n ],\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"organizationId": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"name": "Production alerts",
"url": "https://example.com/webhooks",
"events": [
"stream.concluded"
],
"enabled": true,
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z"
}{
"code": "BAD_REQUEST",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing token",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "FORBIDDEN",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "NOT_FOUND",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNPROCESSABLE_ENTITY",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "VALIDATION_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}RealCall
Update a webhook
Updates a webhook. Every field is optional — omitted fields keep their current value, so this is a merge, not a full replace.
PUT
/
api
/
v1
/
realcall
/
webhooks
/
{id}
Update a webhook
curl --request PUT \
--url https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production alerts",
"url": "https://example.com/webhooks",
"apiKey": "s3cr3t",
"events": [
"stream.concluded"
],
"enabled": true
}
'import requests
url = "https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}"
payload = {
"name": "Production alerts",
"url": "https://example.com/webhooks",
"apiKey": "s3cr3t",
"events": ["stream.concluded"],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Production alerts',
url: 'https://example.com/webhooks',
apiKey: 's3cr3t',
events: ['stream.concluded'],
enabled: true
})
};
fetch('https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Production alerts',
'url' => 'https://example.com/webhooks',
'apiKey' => 's3cr3t',
'events' => [
'stream.concluded'
],
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}"
payload := strings.NewReader("{\n \"name\": \"Production alerts\",\n \"url\": \"https://example.com/webhooks\",\n \"apiKey\": \"s3cr3t\",\n \"events\": [\n \"stream.concluded\"\n ],\n \"enabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Production alerts\",\n \"url\": \"https://example.com/webhooks\",\n \"apiKey\": \"s3cr3t\",\n \"events\": [\n \"stream.concluded\"\n ],\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.api.os.realitydefender.xyz/api/v1/realcall/webhooks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Production alerts\",\n \"url\": \"https://example.com/webhooks\",\n \"apiKey\": \"s3cr3t\",\n \"events\": [\n \"stream.concluded\"\n ],\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"organizationId": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"name": "Production alerts",
"url": "https://example.com/webhooks",
"events": [
"stream.concluded"
],
"enabled": true,
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z"
}{
"code": "BAD_REQUEST",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing token",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "FORBIDDEN",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "NOT_FOUND",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNPROCESSABLE_ENTITY",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "VALIDATION_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}Authorizations
BearerAuthApiKeyAuth
Path Parameters
Body
application/json
Update an organization webhook. Every field is optional; omitted fields keep their current value. The identifier travels in the path, not the body.
Response
The updated webhook.
An organization webhook.